### identify putative outlier genes
rm(list = ls())

library(tidyverse)

myData <- read_csv("./genome_scan/xpEHH_outliers_Jan2018.csv")
myData <- filter(myData, pval > 6)
myData <- arrange(myData, chr, pos)

# cluster outlier regions - find max value within them
threshold <- 100000
chr_clust <- unlist(sapply(unique(myData$chr), function(w){
  y <- filter(myData, chr == w) %>% .$pos
  y <- cumsum(c(1, diff(y) > threshold))
  paste0(w, "_", y)
}))
names(chr_clust) <- NULL
myData$cluster <- factor(chr_clust)

myCluster <- myData %>% group_by(cluster) %>% summarise(start = min(pos), stop = max(pos), size = stop - start)

# identify highest peaks
myData <- myData %>% group_by(cluster) %>% filter(pval == max(pval))
